// Code generated by goctl. DO NOT EDIT.
package types

import (
	"fusenapi/utils/basic"
)

type OrderDetailReq struct {
	OrderSn string `form:"order_sn"`
}

type CreateOrderReq struct {
	CartIds []int64 `json:"cart_ids"`
}

type CreatePrePaymentByDepositReq struct {
	OrderSn         string           `json:"order_sn"`
	DeliveryMethod  int64            `json:"delivery_method,options=[1,2]"`
	DeliveryAddress *DeliveryAddress `json:"delivery_address,optional"`
}

type DeliveryAddress struct {
	Address string `json:"address,optional"`
	Name    string `json:"name,optional"`
	Mobile  string `json:"mobile,optional"`
}

type CreatePrePaymentByBalanceReq struct {
	OrderSn string `json:"order_sn"`
}

type OrderListReq struct {
	DeliveryMethod int64  `form:"delivery_method,options=[0,1,2],optional"`
	OrderCycle     string `form:"order_cycle,optional,options=[within_one_month,within_three_month,within_six_month,within_one_year]"`
	CurrentPage    int64  `form:"current_page,optional,default=1"`
	PerPage        int64  `form:"per_page,optional,default=10"`
}

type Request struct {
}

type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"msg"`
	Data    interface{} `json:"data"`
}

type Auth struct {
	AccessSecret string `json:"accessSecret"`
	AccessExpire int64  `json:"accessExpire"`
	RefreshAfter int64  `json:"refreshAfter"`
}

type File struct {
	Filename string              `fsfile:"filename"`
	Header   map[string][]string `fsfile:"header"`
	Size     int64               `fsfile:"size"`
	Data     []byte              `fsfile:"data"`
}

type Meta struct {
	TotalCount  int64 `json:"total_count"`
	PageCount   int64 `json:"page_count"`
	CurrentPage int   `json:"current_page"`
	PerPage     int   `json:"per_page"`
}

// Set 设置Response的Code和Message值
func (resp *Response) Set(Code int, Message string) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
	}
}

// Set 设置整个Response
func (resp *Response) SetWithData(Code int, Message string, Data interface{}) *Response {
	return &Response{
		Code:    Code,
		Message: Message,
		Data:    Data,
	}
}

// SetStatus 设置默认StatusResponse(内部自定义) 默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatus(sr *basic.StatusResponse, data ...interface{}) *Response {
	newResp := &Response{
		Code: sr.Code,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}

// SetStatusWithMessage 设置默认StatusResponse(内部自定义) 非默认msg, 可以带data, data只使用一个参数
func (resp *Response) SetStatusWithMessage(sr *basic.StatusResponse, msg string, data ...interface{}) *Response {
	newResp := &Response{
		Code:    sr.Code,
		Message: msg,
	}
	if len(data) == 1 {
		newResp.Data = data[0]
	}
	return newResp
}
